import java.awt.*;
import java.applet.*;

public class Bucket extends Picture {

   public Bucket(JBill2 a) {
      super(a);
   }
   boolean clicked (int x, int y) {
      return (x > 0 && y > 0 && x < width && y < height);
   }

   void draw() {
      if (game.grabbed != game.BUCKET) 
	game.ui.draw(this, 0, 0);
   }

   void load_pix() {
	load("bucket");
   }
   
}
